QGIS Application - Bug report #13867
Select by location (Point on line)
2015-11-24 03:38 AM - Gaelic Miko

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.12.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21890
Description

Vector->Analysis->Select by Location is not working properly:

I've got a point layer (OSM Statoins) and a line layer (OSM train) and want to confirm if a station/stop is actually on the train tracks or not.
Even if i edit the point layer an snap a point to a line vertex it is not recognized as a point on the line. It actually works when using the
processing toolbox and use a 'select by location' with a precision of e.g 0.0001.

The snap and edit features actually have no fault, | confirmed the position of the edited points on the lines with ArcGIS and they were on
the line. So the problem definitely is in the 'Select by Location' feature (or the default precision set there).

Version using: 2.12.0 - Lyon

History

#1 - 2016-01-18 01:20 AM - Alexander Bruy

As fTools plugin will be removed in future and same tool works fine in Processing toolbox | think we can leave this as is.
#2 - 2016-01-20 02:44 AM - Alexander Bruy

- Operating System deleted (archlinux)

- OS version deleted (-)

- Status changed from Open to Feedback

- Category set to 44

#3 - 2016-03-25 03:48 AM - Alexander Bruy

- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

Works fine in master

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
